Bio::Map::Clone(3)

NAME
Bio::Map::Clone - An central map object representing a clone

SYNOPSIS
   ## get the clone object of $clone from the Bio::Map::Clone
   my $cloneobj = $physical->get_cloneobj($clone);

   ## acquire all the markers that hit this clone
   foreach my $marker ($cloneobj->each_markerid()) {
       print "   +++$marker\n";
   }

See Bio::Map::Position and Bio::Map::PositionI for more information.

DESCRIPTION
This object handles the notion of a clone. This clone will have a name and a position in a map.

This object is intended to be used by a map parser like fpc.pm.

  Design principles
A MappableI is a central object in Bio::Map name space. A Map is a holder class for objects. A MappableI has a Position in a Map. A MappableI can be compared to an other MappableI using boolean methods.

  new
 Title   : new
 Usage   : my $clone = Bio::Map::Clone->new
                      (
                       -name    => $clone,
                       -markers => \@markers,
                       -contig  => $contig,
                       -type    => $type,
                       -bands   => $bands,
                       -gel     => $gel,
                       -group   => $group,
                       -remark  => $remark,
                       -fpnumber=> $fp_number,
                       -sequencetype  => $seq_type,
                       -sequencestatus=> $seq_status,
                       -fpcremark => $fpc_remark,
                       -matche    => \@ematch,
                       -matcha    => \@amatch,
                       -matchp    => \@pmatch,
                       -range     => Bio::Range->new(-start => $startrange,
                                                     -end   => $endrange)
                       );
 Function: Initialize a new Bio::Map::Clone object
           Most people will not use this directly but get Clones
           through L<Bio::MapIO::fpc>
 Returns : L<Bio::Map::Clone> object
 Args    :   -name => marker name string,
             -markers => array ref of markers,
             -contig  => contig name string,
             -type    => type string,
             -bands   => band string,
             -gel     => gel string,
             -group   => group name string,
             -remark  => remark string,
             -fpnumber=> FP number string,
             -sequencetype  => seq type string,
             -sequencestatus=> seq status string,
             -fpcremark => FPC remark,
             -matche    => array ref,
             -matcha    => array ref,
             -matchp    => array ref,
             -range     => L<Bio::Range> object,

Access Methods
These methods let you get and set the member variables

  name
 Title   : name
 Usage   : my $name = $cloneobj->name();
 Function: get the name for this Clone
 Returns : scalar representing the current name of this clone
 Args    : none

  type
 Title   : type
 Usage   : my $type = $cloneobj->type();
 Function: get the type for this clone
 Returns : scalar representing the current type of this clone
 Args    : none

  range
 Title   : range
 Usage   : my $range = $cloneobj->range();
 Function: get the range of the contig that this clone covers
 Returns : Bio::Range representing the current range of this contig,
           start and end of the contig can be thus found using:
           my $start = $contigobj->range()->start();
           my $end   = $contigobj->range()->end();
 Args    : none

See Bio::Range for more information.

  match
 Title   : match
 Usage   : @eclone = $cloneobj->match('exact');
           @aclone = $cloneobj->match('approximate');
           @pclone = $cloneobj->match('pseudo');
 Function: get all matching clones
 Returns : list
 Args    : scalar representing the type of clone to be
           queried.

  set_match
 Title   : set_match
 Usage   : $clone->set_match($type,$values);
 Function: Set the Matches per type
 Returns : None
 Args    : type (one of 'exact' 'approx' 'pseudo')
           array ref of match values

  gel
 Title   : gel
 Usage   : $clonegel = $cloneobj->gel();
 Function: get the gel number for this clone
 Returns : scalar representing the gel number of this clone
 Args    : none

  remark
 Title   : remark
 Usage   : $cloneremark = $cloneobj->remark();
 Function: get the remark for this clone
 Returns : scalar representing the current remark of this clone
 Args    : none

  fp_number
 Title   : fp_number
 Usage   : $clonefpnumber = $cloneobj->fp_number();
 Function: get the fp number for this clone
 Returns : scalar representing the fp number of this clone
 Args    : none

  sequence_type
 Title   : sequence_type
 Usage   : $cloneseqtype = $cloneobj->sequence_type();
 Function: get the sequence type for this clone
 Returns : scalar representing the sequence type of this clone
 Args    : none

  sequence_status
 Title   : sequence_status
 Usage   : $cloneseqstatus = $cloneobj->sequence_status();
 Function: get the sequence status for this clone
 Returns : scalar representing the sequence status of this clone
 Args    : none

  fpc_remark
 Title   : fpc_remark
 Usage   : $clonefpcremark = $cloneobj->fpc_remark();
 Function: get the fpc remark for this clone
 Returns : scalar representing the fpc remark of this clone
 Args    : none

  band
 Title   : band
 Usage   : @clonebands = $cloneobj->bands();
 Function: get the bands for this clone
 Returns : liat representing the band of this clone, if
           readcor = 1 while creating the MapIO object and the
           .cor exists
 Args    : none

  group
 Title   : group
 Usage   : $cloneobj->group($chrno);
 Function: get the group number for this contig
           this is a generic term, used for Linkage-Groups
           as well as for Chromosomes.
 Returns : scalar representing the group number of this clone
 Args    : if provided, the group of this clone
           will be set to $chrno.

  contigid
 Title   : contigid
 Usage   : my $ctg = $cloneobj->contigid();
 Function: get the contig this clone belongs to
 Returns : scalar representing the contig
 Args    : none

See Bio::Map::Position and Bio::Map::PositionI for more information.

  each_markerid
 Title   : each_markerid
 Usage   : @markers = $cloneobj->each_markerid();
 Function: retrieves all the elements in a map unordered
 Returns : list of Bio::Map::MappableI ids (names)
 Args    : type of elements you want (markers)

  set_markers
 Title   : markers
 Usage   : $obj->set_markers($newval)
 Function: Set list of Markers (arrayref)
 Returns : None
 Args    : on set, new value (arrayref or undef, optional)

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Gaurav Gupta
Email gaurav@genome.arizona.edu

PROJECT LEADERS
Jamie Hatfield jamie@genome.arizona.edu

Dr. Cari Soderlund cari@genome.arizona.edu

PROJECT DESCRIPTION
The project was done in Arizona Genomics Computational Laboratory (AGCoL) at University of Arizona.

This work was funded by USDA-IFAFS grant #11180 titled "Web Resources for the Computation and Display of Physical Mapping Data".

For more information on this project, please refer:
  http://www.genome.arizona.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _